summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Zimmermann (moHiJ) <patrick@zakweb.de>2007-03-06 20:34:14 +0000
committerPatrick Zimmermann (moHiJ) <patrick@zakweb.de>2007-03-06 20:34:14 +0000
commit0f752ce73da6ce36bf53398c92eb21e5374423e1 (patch)
tree92fbc5b8d1e15ca0c647cb4a019b6f486d84f071 /dev-util/tinyxml
parentdev-lang/sqplus: New ebuild for bug 169060 (diff)
downloadsunrise-0f752ce73da6ce36bf53398c92eb21e5374423e1.tar.gz
sunrise-0f752ce73da6ce36bf53398c92eb21e5374423e1.tar.bz2
sunrise-0f752ce73da6ce36bf53398c92eb21e5374423e1.zip
dev-util/tinyxml: New ebuild for bug 90041
svn path=/sunrise/; revision=3147
Diffstat (limited to 'dev-util/tinyxml')
-rw-r--r--dev-util/tinyxml/ChangeLog8
-rw-r--r--dev-util/tinyxml/Manifest15
-rw-r--r--dev-util/tinyxml/files/digest-tinyxml-99990
-rw-r--r--dev-util/tinyxml/metadata.xml5
-rw-r--r--dev-util/tinyxml/tinyxml-9999.ebuild45
5 files changed, 73 insertions, 0 deletions
diff --git a/dev-util/tinyxml/ChangeLog b/dev-util/tinyxml/ChangeLog
new file mode 100644
index 000000000..b39762d35
--- /dev/null
+++ b/dev-util/tinyxml/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for dev-util/tinyxml
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 06 Mar 2007; Patrick Zimmermann (moHiJ) <patrick@zakweb.de>
+ +tinyxml-9999.ebuild, +metadata.xml:
+ New ebuild for bug 90041
+
diff --git a/dev-util/tinyxml/Manifest b/dev-util/tinyxml/Manifest
new file mode 100644
index 000000000..2977fe4cf
--- /dev/null
+++ b/dev-util/tinyxml/Manifest
@@ -0,0 +1,15 @@
+EBUILD tinyxml-9999.ebuild 1090 RMD160 9dbcc2bef8a3be996db4773d91392564e10934cd SHA1 9d71578d775e4ba652ddd99fa32b3e2504ae17ac SHA256 20bfdb94e3593f87b0f302d803405000fa3d2c5772b62ea55e8cf52acd861066
+MD5 d69a53724aa7e14076f22633102d3778 tinyxml-9999.ebuild 1090
+RMD160 9dbcc2bef8a3be996db4773d91392564e10934cd tinyxml-9999.ebuild 1090
+SHA256 20bfdb94e3593f87b0f302d803405000fa3d2c5772b62ea55e8cf52acd861066 tinyxml-9999.ebuild 1090
+MISC ChangeLog 246 RMD160 f163033a2779367ad4a9d010c7cffe401c4a78e7 SHA1 c2b5f8c0264b6038689d863f686dac23ca5d1306 SHA256 da71ba27fb703b33724591158fa6c8582e96d4f410f2e6272512f397bb455835
+MD5 42e0e94b39729127c32abf33977ab653 ChangeLog 246
+RMD160 f163033a2779367ad4a9d010c7cffe401c4a78e7 ChangeLog 246
+SHA256 da71ba27fb703b33724591158fa6c8582e96d4f410f2e6272512f397bb455835 ChangeLog 246
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
+MD5 1e678929a9fec6632e227bdf2262e9a1 metadata.xml 170
+RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 metadata.xml 170
+SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42 metadata.xml 170
+MD5 d41d8cd98f00b204e9800998ecf8427e files/digest-tinyxml-9999 0
+RMD160 9c1185a5c5e9fc54612808977ee8f548b2258d31 files/digest-tinyxml-9999 0
+SHA256 e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855 files/digest-tinyxml-9999 0
diff --git a/dev-util/tinyxml/files/digest-tinyxml-9999 b/dev-util/tinyxml/files/digest-tinyxml-9999
new file mode 100644
index 000000000..e69de29bb
--- /dev/null
+++ b/dev-util/tinyxml/files/digest-tinyxml-9999
diff --git a/dev-util/tinyxml/metadata.xml b/dev-util/tinyxml/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/dev-util/tinyxml/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>
diff --git a/dev-util/tinyxml/tinyxml-9999.ebuild b/dev-util/tinyxml/tinyxml-9999.ebuild
new file mode 100644
index 000000000..6b404120c
--- /dev/null
+++ b/dev-util/tinyxml/tinyxml-9999.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+ECVS_SERVER="tinyxml.cvs.sourceforge.net:/cvsroot/tinyxml"
+ECVS_MODULE="tinyxml"
+inherit eutils cvs
+
+MY_PV=cvs
+DESCRIPTION="A simple C++ XML parser that can be easily integrating into other programs"
+HOMEPAGE="http://www.grinninglizard.com/tinyxml/index.html"
+SRC_URI=""
+
+LICENSE="GPL-2"
+KEYWORDS="~x86"
+SLOT="0"
+IUSE="debug doc examples"
+
+DEPEND="dev-util/scons
+ doc? ( app-doc/doxygen )"
+RDEPEND=""
+
+S="${WORKDIR}/${PN}"
+
+src_compile() {
+ use debug && myconf="debug=0"
+ scons ${MAKEOPTS} ${myconf} sharedlibrary=1 program=0 || die "scons failed"
+ if use doc ; then
+ doxygen dox || die "doxygen failed"
+ fi
+}
+
+src_install () {
+ insinto /usr/include
+ doins *.h || die "installing headers failed"
+ dolib libtinyxml.so || die "installing library failed"
+ dodoc {changes,readme}.txt
+ if use doc ; then
+ dohtml docs/* || die "installing docs"
+ fi
+ if use examples ; then
+ insinto /usr/share/doc/${PF}/samples
+ doins *.xml xmltest.cpp || die "installing examples"
+ fi
+}